##
##  eli.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         eli
Summary:      Compiler Construction System
URL:          http://eli-project.sourceforge.net/
Vendor:       Univ. of Colorado, Univ. of Paderborn, Macquarie Univ.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      GPL/LGPL
Version:      4.4.3
Release:      20080101

#   list of sources
Source0:      http://download.sourceforge.net/eli-project/eli-%{version}.tar.gz
Patch0:       eli.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses
PreReq:       ncurses

%description
    Eli provides modern compiler construction facilities to users with
    a wide range of sophistication. It offers complete solutions for
    commonly encountered language implementation subtasks and contains
    libraries of reusable specifications, making possible the production
    of high-quality implementations from simple problem descriptions.

%track
    prog eli = {
        version   = %{version}
        url       = http://sourceforge.net/projects/eli-project/files/
        regex     = eli-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags ncurses .}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-curses=%{l_prefix}
    PATH="$PATH:."
    ./BUILD -notest

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/eli
    ./install.sh $RPM_BUILD_ROOT%{l_prefix}
    %{l_shtool} subst \
        -e "s;$RPM_BUILD_ROOT%{l_prefix}/lib/Eli;%{l_prefix}/lib/eli/eli;g" \
        -e "s;$RPM_BUILD_ROOT%{l_prefix}/lib/Odin;%{l_prefix}/lib/eli/odin;g" \
        -e "s;$RPM_BUILD_ROOT%{l_prefix}/bin/odin;%{l_prefix}/bin/odin;g" \
        $RPM_BUILD_ROOT%{l_prefix}/bin/eli \
        $RPM_BUILD_ROOT%{l_prefix}/bin/odin
    mv  $RPM_BUILD_ROOT%{l_prefix}/lib/Eli \
        $RPM_BUILD_ROOT%{l_prefix}/lib/eli/eli
    mv  $RPM_BUILD_ROOT%{l_prefix}/lib/Odin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/eli/odin
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

